OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
ISStaggeredLaplacianOp< BoolTreeType, BoundaryOp > Struct Template Reference

Functor for use with LeafManager::foreach() to populate a sparse Laplacian matrix. More...

`#include <PoissonSolver.h>`

## Public Types
using | VIdxTreeT = typename BoolTreeType::template ValueConverter< VIndex >::Type
using | VIdxLeafT = typename VIdxTreeT::LeafNodeType
using | ValueT = LaplacianMatrix::ValueType
using | VectorT = typename math::pcg::Vector< ValueT >

## Public Member Functions
| ISStaggeredLaplacianOp (LaplacianMatrix &m, const VIdxTreeT &idx, const BoolTreeType &mask, const BoundaryOp &op, VectorT &src)
void | operator() (const VIdxLeafT &idxLeaf, size_t) const

## Public Attributes
LaplacianMatrix * | laplacian
const VIdxTreeT * | idxTree
const BoolTreeType * | interiorMask
const BoundaryOp | boundaryOp
VectorT * | source

## Detailed Description

### template<typename BoolTreeType, typename BoundaryOp>
struct openvdb::v5_1::tools::poisson::internal::ISStaggeredLaplacianOp< BoolTreeType, BoundaryOp >

Functor for use with LeafManager::foreach() to populate a sparse Laplacian matrix.

## Member Typedef Documentation

## ◆ ValueT

using ValueT = LaplacianMatrix::ValueType

## ◆ VectorT

using VectorT = typename math::pcg::Vector<ValueT>

## ◆ VIdxLeafT

using VIdxLeafT = typename VIdxTreeT::LeafNodeType

## ◆ VIdxTreeT

using VIdxTreeT = typename BoolTreeType::template ValueConverter<VIndex>::Type

## Constructor & Destructor Documentation

## ◆ ISStaggeredLaplacianOp()

ISStaggeredLaplacianOp | ( | LaplacianMatrix & | m,
|  | const VIdxTreeT & | idx,
|  | const BoolTreeType & | mask,
|  | const BoundaryOp & | op,
|  | VectorT & | src
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const VIdxLeafT & | idxLeaf,
|  | size_t |
| ) |  | const
| inline

## Member Data Documentation

## ◆ boundaryOp

const BoundaryOp boundaryOp

## ◆ idxTree

const VIdxTreeT* idxTree

## ◆ interiorMask

const BoolTreeType* interiorMask

## ◆ laplacian

LaplacianMatrix* laplacian

## ◆ source

VectorT* source

The documentation for this struct was generated from the following file:

- PoissonSolver.h